<?php
	
	/*--------------------------------------------------------------
	# Aumi - August 2008 (for Joomla 1.5)
	# Copyright (C) 2007-2008 Gavick.com. All Rights Reserved.
	# License: Copyrighted Commercial Software
	# Website: http://www.gavick.com
	# Support: support@gavick.com 
	---------------------------------------------------------------*/
	
	// no direct access
	defined('_JEXEC') or die('Restricted access');

	// including base setup files
	include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_setup.php');
	
	// setting variable for template base url
	$template_baseurl = $this->baseurl . '/templates/' . $this->template;

	// adding mootools
	JHTML::_('behavior.mootools');
	
	// getting variables from administration panel
	$mtype = $this->params->get("menutype", "moomenu");
	$header_width = $this->params->get("header_width", 572);
	$header_margin = 9;
	
	if($this->countModules('header + advert2') < 2)
	{
		if($this->countModules('header')) $header_width = 882;
		else $header_width = 1;
		
		$header_margin = 0;
	}
	
	$stylearea = ($this->params->get("stylearea", 1)  == 0) ? false : true;
	$memberarea = ($this->params->get("memberarea", 1)  == 0) ? false : true;
	// getting menu
	$menu = & JSite::getMenu();
	
	// creating JURI instance	
	$url = clone(JURI::getInstance());		

	// getting User object and user ID 
	$user =& JFactory::getUser();
	$userID = $user->get('id');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" >
<head>
<jdoc:include type="head" />
<?php 
	include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/menu.php');
	include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_head.php');	
?>
</head>
<body id="bg">
<div id="top_wrap">
        <a id="logo" href="./">
                <img src="<?php echo $template_baseurl.'/images/logo.png'; ?>" alt="Title" />
        </a>
        <div id="horiz-menu" class="nav">
                <?php echo $main_navigation;?>
        </div>
</div>
<?php if ($memberarea) : ?>
<div id="memberarea">
        <?php if ($this->countModules('login')) : ?>
        <div id="memberarea_left">
                <jdoc:include type="modules" name="login" style="raw" />
        </div>
        <?php endif; ?>
        <?php if ($this->countModules('advert1')) : ?>
        <div id="memberarea_right">
                <jdoc:include type="modules" name="advert1" style="raw" />
        </div>
        <?php endif; ?>
</div>
<?php endif; ?>
<?php if ($this->countModules('banner')) : ?>
<div id="banner_wrap">
        <jdoc:include type="modules" name="banner" style="raw" />
</div>
<?php endif; ?>
<div id="main_wrap">
        <div id="main_wrap_top" class="clearfix">
                <div id="content">
                        <?php if ($this->countModules('header or advert2') ) : ?>
                        <div id="header_wrap">
                                <?php if ($this->countModules('header')) : ?>
                                <div id="header" style="width:<?php echo ($header_width != 0) ? $header_width : 441; ?>px;">
                                        <jdoc:include type="modules" name="header" style="rounded" />
                                </div>
                                <?php endif; ?>
                                <?php if ($this->countModules('advert2')) : ?>
                                <div id="advert2" style="width:<?php echo ($header_width != 0) ? 882-$header_width-$header_margin : 441; ?>px;margin-left: <?php echo $header_margin; ?>px;">
                                        <jdoc:include type="modules" name="advert2" style="rounded" />
                                </div>
                                <?php endif; ?>
                        </div>
                        <div class="clear"></div>
                        <?php endif; ?>
                        <div id="component<?php echo $w_count ?>">
                                <?php if ($this->countModules('top')) : ?>
                                <div class="us-stand">
                                        <jdoc:include type="modules" name="top" style="rounded" />
                                </div>
                                <?php endif; ?>
                                <?php if ($this->countModules('user1') or $this->countModules('user2')) : ?>
                                <div id="user_position-1" class="<?php echo $user_position_1w; ?>">
                                        <div id="user_position-11" class="clearfix">
                                                <?php if ($this->countModules('user1')) : ?>
                                                <div class="users">
                                                        <jdoc:include type="modules" name="user1" style="gavickpro" />
                                                </div>
                                                <?php endif; ?>
                                                <?php if ($this->countModules( 'user1 and user2' )) : ?>
                                                <div class="spacer"></div>
                                                <?php endif; ?>
                                                <?php if ($this->countModules('user2')) : ?>
                                                <div class="users">
                                                        <jdoc:include type="modules" name="user2" style="gavickpro" />
                                                </div>
                                                <?php endif; ?>
                                        </div>
                                </div>
                                <?php endif; ?>
                                <div id="mainbody">
                                        <jdoc:include type="component" />
                                </div>
                                <?php if ($this->countModules('user3') or $this->countModules('user4')) : ?>
                                <div id="user_position-2" class="<?php echo $user_position_2w; ?>">
                                        <?php if ($this->countModules('user3')) : ?>
                                        <div class="users">
                                                <jdoc:include type="modules" name="user3" style="rounded" />
                                        </div>
                                        <?php endif; ?>
                                        <?php if ($this->countModules( 'user3 and user4' )) : ?>
                                        <div class="spacer"></div>
                                        <?php endif; ?>
                                        <?php if ($this->countModules('user4')) : ?>
                                        <div class="users">
                                                <jdoc:include type="modules" name="user4" style="rounded" />
                                        </div>
                                        <?php endif; ?>
                                </div>
                                <?php endif; ?>
                                <?php if ($this->countModules('bottom')) : ?>
                                <div class="us-stand">
                                        <jdoc:include type="modules" name="bottom" style="rounded" />
                                </div>
                                <?php endif; ?>
                        </div>
                        <?php if ($this->countModules('right')) : ?>
                        <div id="right">
                                <jdoc:include type="modules" name="right" style="rounded" />
                        </div>
                        <?php endif; ?>
                </div>
                <?php if($this->countModules('user5 or user6 or user7 or user8')) : ?>
                <div id="user_position-3" class="<?php echo $user_position_3w; ?>">
                        <?php if ($this->countModules('user5')) : ?>
                        <div class="users">
                                <jdoc:include type="modules" name="user5" style="gavickpro" />
                        </div>
                        <?php endif; ?>
                        <?php if ($this->countModules('user6')) : ?>
                        <div class="users">
                                <jdoc:include type="modules" name="user6" style="gavickpro" />
                        </div>
                        <?php endif; ?>
                        <?php if ($this->countModules('user7')) : ?>
                        <div class="users">
                                <jdoc:include type="modules" name="user7" style="gavickpro" />
                        </div>
                        <?php endif; ?>
                        <?php if ($this->countModules('user8')) : ?>
                        <div class="users">
                                <jdoc:include type="modules" name="user8" style="gavickpro" />
                        </div>
                        <?php endif; ?>
                </div>                    
                <?php endif; ?>
                <?php if($this->countModules('user9 or user10 or user11 or user12')) : ?>
                <div id="user_position-4" class="<?php echo $user_position_4w; ?>">
                        <?php if ($this->countModules('user9')) : ?>
                        <div class="users">
                                <jdoc:include type="modules" name="user9" style="gavickpro" />
                        </div>
                        <?php endif; ?>
                        <?php if ($this->countModules('user10')) : ?>
                        <div class="users">
                                <jdoc:include type="modules" name="user10" style="gavickpro" />
                        </div>
                        <?php endif; ?>
                        <?php if ($this->countModules('user11')) : ?>
                        <div class="users">
                                <jdoc:include type="modules" name="user11" style="gavickpro" />
                        </div>
                        <?php endif; ?>
                        <?php if ($this->countModules('user12')) : ?>
                        <div class="users">
                                <jdoc:include type="modules" name="user12" style="gavickpro" />
                        </div>
                        <?php endif; ?>
                </div>
                <?php endif; ?>
        </div>
</div>
<!-- Footer -->
<div id="footer_wrap">
        <div>
        <?php 
			// including footer file
			include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_footer.php'); 
		?>
        </div>
</div>
<?php 
	// including information alert for IE6
	if($this->params->get("ie6info", 1) == 1): 
?>
<!-- IE6 alert -->
<div id="ie6">
        <?php include_once(JPATH_ROOT."/templates/".$this->template.'/lib/php/gk_ie6.php'); ?>
</div>
<?php endif; ?>
</body>
</html>
